org.bdgenomics.adam.instrumentation

# Timers

#### object Timers extends Metrics

Contains Timers that are used to instrument ADAM.

Linear Supertypes
Metrics, Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Timers
2. Metrics
3. Serializable
4. Serializable
5. AnyRef
6. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### val BAMLoad: Timer

7. #### val BQSRInDriver: Timer

8. #### val ComputeCovariates: Timer

9. #### val ComputeQualityScore: Timer

10. #### val ConvertToSAM: Timer

11. #### val ConvertToSAMRecord: Timer

12. #### val CreateIndelRealignmentTargets: Timer

13. #### val CreateKnownSnpsTable: Timer

14. #### val CreateReferencePositionPair: Timer

15. #### val FindTargets: Timer

16. #### val GetReferenceFromReads: Timer

17. #### val JoinTargets: Timer

18. #### val LoadAlignmentRecords: Timer

19. #### val MapTargets: Timer

20. #### val MarkDuplicatesInDriver: Timer

21. #### val MarkReads: Timer

22. #### val ObservationAccumulatorComb: Timer

23. #### val ObservationAccumulatorSeq: Timer

24. #### val ParquetLoad: Timer

25. #### val PerformDuplicateMarking: Timer

26. #### val RealignIndelsInDriver: Timer

27. #### val RealignTargetGroup: Timer

28. #### val RecalibrateRead: Timer

29. #### val SAMSave: Timer

30. #### val SaveAsADAM: Timer

31. #### val ScoreAndMarkReads: Timer

32. #### val SortReads: Timer

33. #### val SortTargets: Timer

34. #### val SweepReadOverReferenceForQuality: Timer

35. #### val TrimCigar: Timer

36. #### val TrimLowQualityInDriver: Timer

37. #### val TrimMDTag: Timer

38. #### val TrimRead: Timer

39. #### val TrimReadsInDriver: Timer

40. #### val WriteADAMRecord: Timer

41. #### val WriteBAMRecord: Timer

42. #### val WriteSAMRecord: Timer

43. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

44. #### val clock: Clock

    Definition Classes
      Metrics

45. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

46. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

47. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

48. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

49. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

50. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

51. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

52. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

53. #### final def notify(): Unit

    Definition Classes
      AnyRef

54. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

55. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

56. #### def timer(name: String): Timer

    Definition Classes
      Metrics

57. #### def toString(): String

    Definition Classes
      AnyRef → Any

58. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

59. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

60. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Metrics

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped